# Class TI32Column

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TI32Column

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TI32Column>`, `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TI32Column extends Object implements org.apache.thrift.TBase<TI32Column,TI32Column._Fields>, Serializable, Cloneable, Comparable<TI32Column>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TI32Column._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TI32Column._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`ByteBuffer`
`nulls`
`List<Integer>`
`values`

## Constructor Summary

Constructors
Constructor
Description
`TI32Column()`
`TI32Column(TI32Column other)`
Performs a deep copy on other.
`TI32Column(List<Integer> values, ByteBuffer nulls)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToValues(int elem)`
`ByteBuffer`
`bufferForNulls()`
`void`
`clear()`
`int`
`compareTo(TI32Column other)`
`TI32Column`
`deepCopy()`
`boolean`
`equals(TI32Column that)`
`boolean`
`equals(Object that)`
`TI32Column._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TI32Column._Fields field)`
`byte[]`
`getNulls()`
`List<Integer>`
`getValues()`
`Iterator<Integer>`
`getValuesIterator()`
`int`
`getValuesSize()`
`int`
`hashCode()`
`boolean`
`isSet(TI32Column._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetNulls()`
Returns true if field nulls is set (has been assigned a value) and false otherwise
`boolean`
`isSetValues()`
Returns true if field values is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TI32Column._Fields field, Object value)`
`TI32Column`
`setNulls(byte[] nulls)`
`TI32Column`
`setNulls(ByteBuffer nulls)`
`void`
`setNullsIsSet(boolean value)`
`TI32Column`
`setValues(List<Integer> values)`
`void`
`setValuesIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetNulls()`
`void`
`unsetValues()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### values

public List<Integer> values

### nulls

public ByteBuffer nulls

### metaDataMap

public static final Map<TI32Column._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TI32Column

public TI32Column()

### TI32Column

public TI32Column(List<Integer> values, ByteBuffer nulls)

### TI32Column

public TI32Column(TI32Column other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TI32Column deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### getValuesSize

public int getValuesSize()

### getValuesIterator

public Iterator<Integer> getValuesIterator()

### addToValues

public void addToValues(int elem)

### getValues

public List<Integer> getValues()

### setValues

public TI32Column setValues(List<Integer> values)

### unsetValues

public void unsetValues()

### isSetValues

public boolean isSetValues()
Returns true if field values is set (has been assigned a value) and false otherwise

### setValuesIsSet

public void setValuesIsSet(boolean value)

### getNulls

public byte[] getNulls()

### bufferForNulls

public ByteBuffer bufferForNulls()

### setNulls

public TI32Column setNulls(byte[] nulls)

### setNulls

public TI32Column setNulls(ByteBuffer nulls)

### unsetNulls

public void unsetNulls()

### isSetNulls

public boolean isSetNulls()
Returns true if field nulls is set (has been assigned a value) and false otherwise

### setNullsIsSet

public void setNullsIsSet(boolean value)

### setFieldValue

public void setFieldValue(TI32Column._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### getFieldValue

public Object getFieldValue(TI32Column._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### isSet

public boolean isSet(TI32Column._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TI32Column that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TI32Column other)

Specified by:
  `compareTo` in interface `Comparable<TI32Column>`

### fieldForId

public TI32Column._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TI32Column,TI32Column._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`